Gecode::Int::Sorted::TupleMinInc< View > Class Template Reference

View comparison on ViewTuples. More...

`#include <sortsup.hpp>`

## Public Member Functions

bool | operator() (const View &x, const View &y)

## Detailed Description

template<class View>
class Gecode::Int::Sorted::TupleMinInc< View >

View comparison on ViewTuples.

Checks whether the lower domain bound of the first component of x (the variable itself) is smaller than the lower domain bound of the first component of y

Definition at line 319 of file sortsup.hpp.

## Member Function Documentation

## operator()()

template<class View>

bool Gecode::Int::Sorted::TupleMinInc< View >::operator() | ( | const View & | x,
|  | const View & | y )

inline

Definition at line 321 of file sortsup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/sorted/sortsup.hpp